MyGUI: MyGUI::ILayerItem Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::ILayerItem Class Referenceabstract

`#include <MyGUI_ILayerItem.h>`

Inheritance diagram for MyGUI::ILayerItem:
[legend]

## Public Member Functions
virtual | ~ILayerItem ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual const IntCoord & | getLayerItemCoord () const =0
virtual void | resizeLayerItemView (const IntSize &_oldView, const IntSize &_newView)=0
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)=0
virtual void | detachFromLayer ()=0
virtual void | upLayerItem ()=0

## Detailed Description

Definition at line 19 of file MyGUI_ILayerItem.h.

## Constructor & Destructor Documentation

## ◆ ~ILayerItem()

virtual MyGUI::ILayerItem::~ILayerItem | ( |  | ) |
| inlinevirtual

Definition at line 22 of file MyGUI_ILayerItem.h.

## Member Function Documentation

## ◆ attachItemToNode()

virtual void MyGUI::ILayerItem::attachItemToNode | ( | ILayer * | _layer,
|  | ILayerNode * | _node )
| pure virtual

Implemented in MyGUI::LayerItem.

## ◆ detachFromLayer()

virtual void MyGUI::ILayerItem::detachFromLayer | ( |  | ) |
| pure virtual

Implemented in MyGUI::LayerItem.

## ◆ getLayerItemByPoint()

virtual ILayerItem * MyGUI::ILayerItem::getLayerItemByPoint | ( | int | _left,
|  | int | _top ) const
| pure virtual

Implemented in MyGUI::Widget.

## ◆ getLayerItemCoord()

virtual const IntCoord & MyGUI::ILayerItem::getLayerItemCoord | ( |  | ) | const
| pure virtual

Implemented in MyGUI::Widget.

## ◆ resizeLayerItemView()

virtual void MyGUI::ILayerItem::resizeLayerItemView | ( | const IntSize & | _oldView,
|  | const IntSize & | _newView )
| pure virtual

## ◆ upLayerItem()

virtual void MyGUI::ILayerItem::upLayerItem | ( |  | ) |
| pure virtual

Implemented in MyGUI::LayerItem.

The documentation for this class was generated from the following file:

- MyGUI_ILayerItem.h